<template>
   <div id="app" v-loading="loading">
    <!-- <img src="./assets/logo.png"> -->
    <router-view />
  </div>
</template>

<script>
// import commonHeader from '@/components/commonHeaders.vue'
export default {
    name: 'App',
    components:{
        // commonHeader
    },
    data() {
        return {
            showHeader:false,
            loading: true
        }
    },
    watch:{
        $route: {
            handler: function(route) {
                // route.path === '/index' || route.path === '/weather'
                this.showHeader = route.path === '/login' ? false : true
            },
            immediate: true
        }
    },
    mounted() {
        window.workSpaceVo = {}
        this.loadPage()
    },
    methods:{
        loadPage() {
            setTimeout(() => {
                this.loading = false;
            }, 1000);
        }
    }
}
</script>

<style lang="less">
@import "./assets/css/main.css";
.el-overlay{
    .el-dialog{
        .el-dialog__header{
            .el-dialog__title{
                font-size: 14px;
            }
        }
    }
}
/* @import "./assets/css/color-dark.css"; */
#app{
    /* background: #184FB4; */
    /* background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#005777), to(#005777), color-stop(0.2, #007aab),color-stop(0.8, #007aab)); */
}
</style>